Subject: Ticket Assigned - Refund Process
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 14 May 2021 07:04:59 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Refund Process 
Hello Please I got my order on Tuesday and its size wasn’t suitable so I asked for a refund and I was told that the shipping company will contact me soon to take the shipment and add the cash to my wallet.I want to fasten the process please so I can order again ASAB before EID comes can you help me please to fasten this?

Sent from Yahoo Mail for iPhone

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2525854